Apache Tomcat 7.0.42

## org.apache.catalina.realm
Class JNDIRealm.User

    java.lang.Object
      org.apache.catalina.realm.JNDIRealm.User

Enclosing class:
  JNDIRealm

    protected static class JNDIRealm.User

extends Object

A protected class representing a User

Constructor Summary
`JNDIRealm.User(String username, String dn, String password, List<String> roles, String userRoleId)`

Method Summary
`String` `getDN()`
`String` `getPassword()`
`List<String>` `getRoles()`
`String` `getUserName()`
`String` `getUserRoleId()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JNDIRealm.User

    public JNDIRealm.User(String username,
                          String dn,
                          String password,
                          List<String> roles,
                          String userRoleId)

Method Detail

### getUserName

    public String getUserName()

### getDN

    public String getDN()

### getPassword

    public String getPassword()

### getRoles

    public List<String> getRoles()

### getUserRoleId

    public String getUserRoleId()

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.